## gdebi 0.1.4ubuntu13

=== debian/changelog ===
gdebi (0.1.4ubuntu13) dapper; urgency=low

  * data/gdebi.glade:
    - "Included Files" text area is not editable (#44293)
    - make some labels selectable (Maintainer, Section, etc)
     (ubuntu #44295)
  * GDebi/GDebi.py:
    - add "KB" for the size (#44286)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 May 2006 02:00:23 +0200

gdebi (0.1.4ubuntu12) dapper; urgency=low

  * GDebi/GDebi.py:
    - fix bug in the invokation of the child
    - don't fail on non utf-8 descriptions (ubuntu: #39786)
  * po/POTFILES.in:
    - added missing file (ubuntu #44354)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 11:38:17 +0200

gdebi (0.1.4ubuntu11) dapper; urgency=low

  * use desktop file when runing gksu (thanks to
    Sebastian Heinlein)
  * i18n updates from debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 May 2006 21:43:30 +0200

gdebi (0.1.4ubuntu10) dapper; urgency=low

  * add the application/x-debian-package mimetype (apache likes to use this
    one)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 31 Mar 2006 12:24:55 +0200

gdebi (0.1.4ubuntu9) dapper; urgency=low

  * fix some missing i18n strings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Mar 2006 21:05:27 +0200

gdebi (0.1.4ubuntu8) dapper; urgency=low

  * more polish (strings, ui), thanks to Sebastian Heinlein

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Mar 2006 11:40:41 +0100

gdebi (0.1.4ubuntu7) dapper; urgency=low

  * Add missing build-depends on intltool to resolve current FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Mar 2006 18:21:22 +1100

gdebi (0.1.4ubuntu6) dapper; urgency=low

  * spelling and i18n fixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  8 Mar 2006 10:57:29 +0000

gdebi (0.1.4ubuntu5) dapper; urgency=low

  * data/gdebi.xml: added shared-mime-info description file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  1 Mar 2006 12:30:43 +0100

gdebi (0.1.4ubuntu4) dapper; urgency=low

  * gdebi: added --help
  * GDebi/*.py: pychecker warnings fixed, cleanups
  * GDebi/GDebi.py: 
    - fix the detection of packages already in the repo
    - fix some non-translatable strings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  1 Mar 2006 10:30:03 +0100

gdebi (0.1.4ubuntu3) dapper; urgency=low

  * GDebi/GDebi.py: use the improved InstallProgress api
  * debian/control: require the latest python-apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Feb 2006 12:43:14 +0100

gdebi (0.1.4ubuntu2) dapper; urgency=low
 
  * make the window closable again
  * don't require a display in the cli version (wrong imports)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Feb 2006 20:34:29 +0100

gdebi (0.1.4ubuntu1) dapper; urgency=low

  * [Michael Vogt]
    - detect conffile/error from dpkg and apt and expand the terminal then
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jan 2006 11:28:01 +0100
    

gdebi (0.1.4) unstable; urgency=low

  * [Sebastian Heinlein]
    - big UI improvements, HIGification
  * [Michael Vogt]
    - bugfixing
    - added drag'n'drop
  
 -- Gustavo Franco <stratus@debian.org>  Mon, 23 Jan 2006 16:16:30 -0200

gdebi (0.1.3) unstable; urgency=low

  * [ Gustavo Franco ]
    * manpages (removed since 0.1.1) added again.
  * [ Michael Vogt ]
    * small ui fixes
    * detect unauthenticated packages (requires python-apt 0.6.16)  

 -- Gustavo Franco <stratus@debian.org>  Sat, 14 Jan 2006 19:45:11 -0200

gdebi (0.1.2) unstable; urgency=low

  [ Michael Vogt ]
  * added danish translation (thanks to Lasse Bang Mikkelsen)
  * replaced subprocess (python 2.4 only) related code
  
  [ Gustavo Franco ]
  * debian/rules: CFLAGS references removed
    
 -- Gustavo Franco <stratus@debian.org>  Tue, 03 Jan 2006 00:22:05 -0200

gdebi (0.1.1debian1) unstable; urgency=low

  * Merged with Ubuntu.

 -- Gustavo Franco <stratus@debian.org>  Sat, 31 Dec 2005 16:04:43 -0200

gdebi (0.1.1) dapper; urgency=low
  
  * rewrote the InstallProgress code
  * much improved error reporting
  * reinstall support
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Dec 2005 13:28:47 +0100
    

gdebi (0.1debian2) unstable; urgency=low

  * python-gtk2 dependencies downgraded to 2.6.3-2. 

 -- Gustavo Franco <stratus@debian.org>  Sat, 31 Dec 2005 02:25:37 -0200

gdebi (0.1debian1) unstable; urgency=low

  * First Debian release. (Closes: #344549)
  * debian/control:
    - Maintainer field changed.
    - Depends field cleaned up.
    - Description extended a bit.
    - Standards-Version updated to 3.6.2.1.
  * debian/gdebi.manpages: reference and simple manpages added.
  
 -- Gustavo Franco <stratus@debian.org>  Fri, 23 Dec 2005 15:09:12 -0200

gdebi (0.1) dapper; urgency=low

  * check if a already installed package is downloadable 
    before displaying a message about the cache content

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Dec 2005 18:15:17 +0100

gdebi (0.0+bzr20051129) dapper; urgency=low

  * data/gdebi.desktop:
    - fix exec to gdebi-gtk (thanks to Ernst Persson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Nov 2005 16:08:25 +0100

gdebi (0.0+bzr20051128) dapper; urgency=low

  * make use of the improved cache.commit() code in python-apt
  * proper error reporting when the dependency download fails

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Nov 2005 14:05:21 +0100

gdebi (0.0+bzr20051125) dapper; urgency=low

  * add check if the package is available in the cache as well, if
    so, tell the user about it
  * gui cleanups
  * inital upload into ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 20 Nov 2005 15:00:15 +0100

gdebi (0.0+bzr20051117.2) dapper; urgency=low

  * add gksu to dependencies (needed to become root)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Nov 2005 11:34:54 +0100

gdebi (0.0+bzr20051117.1) dapper; urgency=low

  * fix a bug in the versionsied conflicts detection

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Nov 2005 15:59:28 +0100



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG=gdebi
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	python ./setup.py build

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	python ./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gdebi.
	python ./setup.py install --prefix=$(CURDIR)/debian/gdebi/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
	dh_desktop
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gdebi 0.1.6

=== po/Makefile ===

DOMAIN=gdebi
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))
	# update the po files 
	#for f in $(PO_FILES); do \
	#	intltool-update -r $${f%.po}  -g $(DOMAIN); \
	#done

=== debian/changelog ===
gdebi (0.1.6) unstable; urgency=low

  * New Python Policy release. (Closes: #380810)
    - Bump up Standards-Version to 3.7.2
    - Move debhelper and python-all-dev to Build-Depends field
    - Add python-support to Build-Depends-Indep field
      [debian/control]
    - debian/rules: Add dh_pysupport call before dh_python
    - Add debian/pycompat and debian/pyversions
  * Merge 0.1.6ubuntu1 changes.

 -- Gustavo Franco <stratus@debian.org>  Tue, 22 Aug 2006 15:52:22 -0300

gdebi (0.1.6ubuntu1) edgy; urgency=low

  * show a better finish message (ubuntu: #37651)
  * fixes for the new auto-dependency removal apt (ubuntu: #53655)
  * check for broken packages early (ubuntu: #40050)
  * merged the debian changes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  4 Aug 2006 13:45:16 +0200

gdebi (0.1.5) unstable; urgency=low

  * Sync with Ubuntu
    - add depends on gnome-icon-theme (Closes: #358874)
    - pofiles updated (Closes: #352562)
    - swedish translation included (Closes: #350394)
    - french translation included (Closes: #354112)
    - czech translation included (Closes: #356465)

 -- Gustavo Franco <stratus@debian.org>  Tue, 11 Apr 2006 17:40:13 -0300

=== debian/control ===
Source: gdebi
Section: admin
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>, Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 5.0.0), python-all-dev
Build-Depends-Indep: python-support (>= 0.3), intltool
Standards-Version: 3.7.2

Package: gdebi
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-apt (>= 0.6.16.2), python-vte (>= 1:0.11.15-4), gksu (>= 1.3.6-1), gnome-icon-theme (>= 2.14.0-1)
Description: Simple tool to install deb files
 gdebi lets you install local deb packages resolving and installing 
 its dependencies. apt does the same, but only for remote (http, ftp)
 located packages.
 .
 It has a graphical user interface but can be used in your terminal.

=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,7 @@
 #	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_pysupport
 	dh_python
 	dh_installdeb
 	dh_shlibdeps

## gdebi 0.1.6ubuntu1

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 5.0.0), python-all-dev
-Build-Depends-Indep: python-support (>= 0.3), intltool
-Standards-Version: 3.7.2
+Build-Depends-Indep: debhelper (>= 5.0.0), python-dev, intltool
+Standards-Version: 3.6.2.1
 
 Package: gdebi
 Architecture: all

## gdebi 0.2.4ubuntu1

=== debian/changelog ===
gdebi (0.2.4ubuntu1) feisty; urgency=low

  * GDebi/GDebi.py:
    - do not crash if the logo can't be loaded
    - do not crash in non-interactive mode when the deb can't
      be read (LP#94551)
  * gdebi:
    - do not crash when runing as non-root (LP#93786)
    - do not crash if the cache can not be opened (LP#95650)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Apr 2007 18:25:36 +0200

gdebi (0.2.3ubuntu1) feisty; urgency=low

  * GDebi/DebPackage.py:
    - improve the dependency handling for virtual packages
      (thanks to Rheinhard Tartler for reporting)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Mar 2007 20:07:06 +0100

gdebi (0.2.2ubuntu1) feisty; urgency=low

  * GDebi/GDebiCli:
    - if run with a different rootdir, check the architecture
      used there
  * debian/control:
    - updated Maintainer field and added XSBC-Original-Maintainer

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 09:43:15 +0100

gdebi (0.2.1ubuntu1) feisty; urgency=low

  * GDebi/DebPackage.py:
    - deal with virtual packages that have no provider (LP#90909)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Mar 2007 13:52:39 +0100

gdebi (0.2ubuntu16) feisty; urgency=low

  * deal with virtual packages with a single provider in the same
    way as apt and select that the provider (LP#90714)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  9 Mar 2007 11:01:00 +0100

gdebi (0.2ubuntu15) feisty; urgency=low

  * GDebi/GDebiCli.py:
    - write errors to stderr (thanks to dholbach for noticing)
  * gdebi:
    - fix help output (LP#89975)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  8 Mar 2007 10:29:08 +0100

gdebi (0.2ubuntu14) feisty; urgency=low

  * GDebi/GDebi.py:
    - warn about security implication in gksu prompt and 
      run gksu with --always-ask-pass
  * debian/control:
    - depend on gksu with --always-ask-pass switch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Mar 2007 10:49:14 +0100

gdebi (0.2ubuntu13) feisty; urgency=low

  * do not crash when a deb file could not be opened in non-interactive
    mode (LP#87696)
  * support debian/control files too (for pbuilder support)
  * added --apt-line switch to generate a apt compatiable commandline 
    (for pbuilder support)
  * added --quiet commandline switch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  1 Mar 2007 13:20:30 +0100

gdebi (0.2ubuntu12) feisty; urgency=low

  * GDebi/DebPackages.py:
    - properly init binaries when reading a .dsc file
  * data/gdebi.glade:
    - make the install dialog modal
  * GDebi/GDebi.py:
    - disconnect child_exited from the VteReaper after dpkg
      was run to prevent multiple invocations (LP#87029)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Feb 2007 16:05:49 +0100

gdebi (0.2ubuntu11) feisty; urgency=low

  * gdebi:
    - show help message when run without arguments (LP#86481)
  * data/gdebi.glade:
    - make the text non-selectable to work-around initial selection bug
      (LP#63629)
  * GDebi/GDebi.py:
    - fix exception string on install/fetch errors
    - fix dialog parent problem (LP#71051)
    - fix fetchprogress download speed string (LP#59630)
  * GDebi/DebPackages.py:
    - fix .bz2 package reading (LP#83076)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Feb 2007 16:14:39 +0100

gdebi (0.2ubuntu10) feisty; urgency=low

  * fix in the .dsc parsing when architecture specific dependendies
    are given (thanks to Ian Jackson for pointing out the problem)
  * added gdebi --non-interactive

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Feb 2007 15:45:19 +0100

gdebi (0.2ubuntu9) feisty; urgency=low

  [ Michael Vogt ]
  * fixed i18n in yes/no question

  [ Christian Bjälevik ]
  * po/*:
    - Updated gdebi.pot and all .po.
    - Translated sv.po.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Tue,  6 Feb 2007 21:04:49 +0100

gdebi (0.2ubuntu8) feisty; urgency=low

  * fully support automatic dependencies (lp: #66382)
  * debian/control: 
    - depend on python-apt that supports automatic-dependencies
  * fix P/C/R handline bug for certain virtual packages
  * fix hardcoded python version (lp: #81790)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Jan 2007 10:59:25 +0100

gdebi (0.2ubuntu7) feisty; urgency=low

  * added missing Conflicts/Replaces when the package split was done
  * undo the automatic-dependencies change for herd-3 as python-apt
    is not yet ready (will be re-added once herd-3 was released)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Jan 2007 10:15:25 +0100

gdebi (0.2ubuntu6) feisty; urgency=low

  * fully support automatic dependencies (lp: #66382)
  * debian/control: 
    - depend on python-apt that supports automatic-dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jan 2007 17:14:00 +0100

gdebi (0.2ubuntu5) feisty; urgency=low

  * fix bug in DscFile parser
  * speed up the dependency calculation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Jan 2007 18:07:27 +0100

gdebi (0.2ubuntu4) feisty; urgency=low

  * Make split into two packages build on feisty, where
    debian/tmp/usr/share/locale isn't created during setup.py.
  * Use dh_install instead of dh_movefiles.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 24 Jan 2007 16:01:42 +0000

gdebi (0.2ubuntu3) feisty; urgency=low

  * Split into two packages: gdebi and gdebi-core.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 24 Jan 2007 11:20:09 +0000

gdebi (0.2ubuntu2) feisty; urgency=low

  * updated to the latest python policy (lp: #79190)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Jan 2007 10:11:31 +0100

gdebi (0.2ubuntu1) feisty; urgency=low

  * filter out python-apt future warnings
  * support for build-dep resolving on .dsc files added

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Dec 2006 11:46:06 +0100

=== debian/control ===
Source: gdebi
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>, Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 5.0.38), python-dev, python-central (>= 0.5.6), intltool
XS-Python-Version: current
Standards-Version: 3.7.2

Package: gdebi-core
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, python-apt (>= 0.6.20ubuntu2)
Replaces: gdebi (<< 0.2ubuntu3)
Conflicts: gdebi (<< 0.2ubuntu3)
XB-Python-Version: ${python:Versions}
Description: Simple tool to install deb files
 gdebi lets you install local deb packages resolving and installing 
 its dependencies. apt does the same, but only for remote (http, ftp)
 located packages.
 .
 This package contains the libraries and command-line utility.

Package: gdebi
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${Source-Version}), python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-vte (>= 1:0.11.15-4), gksu (>= 2.0.0-1ubuntu3), gnome-icon-theme (>= 2.14.0-1)
XB-Python-Version: ${python:Versions}
Description: Simple tool to install deb files
 gdebi lets you install local deb packages resolving and installing 
 its dependencies. apt does the same, but only for remote (http, ftp)
 located packages.
 .
 This package contains the graphical user interface.

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/gdebi.
-	python ./setup.py install --prefix=$(CURDIR)/debian/gdebi/usr
+	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
 
 
 # Build architecture-independent files here.
@@ -76,12 +76,29 @@
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
+
+	# We split the GDebi python module across the two packages:
+	set -e; cd debian/tmp; for s in usr/lib/python*; do		\
+		d=../gdebi-core/$$s; p=site-packages/GDebi;		\
+		g=../gdebi/$$s;						\
+		mkdir -p $$d/$$p $$g/$$p;				\
+		cp $$s/$$p/* $$d/$$p/.;					\
+		for f in SimpleGladeApp GDebi; do			\
+			mv $$d/$$p/$$f.* $$g/$$p/.;			\
+		done;							\
+	done
+
+	dh_install -Xsite-packages/GDebi --list-missing
+
 	dh_link
 #	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_pysupport
-	dh_python
+	dh_pycentral
+   
+	find debian/gdebi debian/gdebi-core -type d -print0 | xargs -0 \
+		rmdir -p --ignore-fail-on-non-empty --
+
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## gdebi 0.3.2ubuntu1

=== debian/changelog ===
gdebi (0.3.2ubuntu1) gutsy; urgency=low

  * do not crash on reinstall, thanks to Joao Pinto (LP: #123674, #129526)
  * fix off-by-one error when parsing dpkg output (LP: #149755)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 06 Oct 2007 10:37:32 +0200

gdebi (0.3.1ubuntu1) gutsy; urgency=low

  * gdebi-gtk:
    - fix error dialog when software cache is broken
  * GDebi/DebPackage.py:
    - use APT::Architecture when checking if the architecture
      of the package is for us

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Aug 2007 17:03:31 +0200

gdebi (0.3.0ubuntu1) gutsy; urgency=low

  [Martin Böhm]
  * GDebi/GDebiKDE.py
    GDebi/KDEAptDialogs.py
    gdebi-kde
    data/GDebiKDEDialog.ui
    data/GDebiKDEInstallDialog.ui
    - added a KDE frontend for gdebi
  * GDebi/GDebiCommon.py:
    - added a common class for KDE and GNOME frontends
  * GDebi/GDebi.py:
    - the GNOME frontend is now using the common class as well
  [Michael Vogt]
  * debian/rules, debian/gdebi-kde.install:
    - install into the gdebi-core, gdebi, gdebi-kde packages
  * debian/control:
    - added XS-Vcs-Bzr header
    - adjusted python-apt dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jun 2007 10:20:02 +0200

gdebi (0.2.5ubuntu1) gutsy; urgency=low

  * cosmetic fixes in progress reporting
  * updated fi.po (thanks to Timo Jyrinki!)
  * pass DEBIAN_FRONTEND and APT_LISTCHANGES_FRONTEND 
    environment to dpkg too 
  * Recommend libgnome2-perl for gnome debconf 
  * GDebi/GDebiCli.py:
    - do not crash on unknown file types (LP#113094)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 May 2007 12:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Michael Vogt <mvo@ubuntu.com>
 XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 5.0.38), python-dev, python-central (>= 0.5.6), intltool
+Build-Depends: debhelper (>= 5.0.38), python-dev, python-central (>= 0.5.6), intltool, python-kde3-dev (>= 3.16.0-0ubuntu11)
 XS-Python-Version: current
 Standards-Version: 3.7.2
+XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/
 
 Package: gdebi-core
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, python-apt (>= 0.6.20ubuntu2)
+Depends: ${python:Depends}, ${shlibs:Depends}, python-apt (>= 0.7.0)
 Replaces: gdebi (<< 0.2ubuntu3)
 Conflicts: gdebi (<< 0.2ubuntu3)
 XB-Python-Version: ${python:Versions}
@@ -24,6 +25,7 @@
 Package: gdebi
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${Source-Version}), python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-vte (>= 1:0.11.15-4), gksu (>= 2.0.0-1ubuntu3), gnome-icon-theme (>= 2.14.0-1)
+Recommends: libgnome2-perl
 XB-Python-Version: ${python:Versions}
 Description: Simple tool to install deb files
  gdebi lets you install local deb packages resolving and installing 
@@ -31,3 +33,14 @@
  located packages.
  .
  This package contains the graphical user interface.
+
+Package: gdebi-kde
+Architecture: all
+Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${Source-Version}), python-kde3 (>= 3.16.0-0ubuntu11)
+XB-Python-Version: ${python:Versions}
+Description: Simple tool to install deb files
+ gdebi lets you install local deb packages resolving and installing 
+ its dependencies. apt does the same, but only for remote (http, ftp)
+ located packages.
+ .
+ This package contains the KDE user interface.

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,9 @@
 	find . -name "*.so" -exec rm {} \;
 	find . -name "*.o" -exec rm {} \;
 	find . -name "*.pyc" -exec rm {} \;
+	find . -name "GDebiKDEDialog.py" -exec rm {} \;
+	find . -name "GDebiKDEInstallDialog.py" -exec rm {} \;
+
 
 	dh_clean 
 
@@ -51,7 +54,6 @@
 
 	# Add here commands to install the package into debian/gdebi.
 	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
-
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -77,14 +79,21 @@
 #	dh_installinfo
 	dh_installman
 
-	# We split the GDebi python module across the two packages:
+	# We split the GDebi python module across the packages:
 	set -e; cd debian/tmp; for s in usr/lib/python*; do		\
 		d=../gdebi-core/$$s; p=site-packages/GDebi;		\
+		k=../gdebi-kde/$$s;                                     \
 		g=../gdebi/$$s;						\
-		mkdir -p $$d/$$p $$g/$$p;				\
+		mkdir -p $$d/$$p $$g/$$p $$k/$$p;			\
 		cp $$s/$$p/* $$d/$$p/.;					\
+		# gtk                                                   \
 		for f in SimpleGladeApp GDebi; do			\
 			mv $$d/$$p/$$f.* $$g/$$p/.;			\
+		done;							\
+		# kde                                                   \
+		for f in GDebiKDEDialog GDebiKDE                  \
+                         GDebiKDEInstallDialog KDEAptDialogs; do	\
+			mv $$d/$$p/$$f.* $$k/$$p/.;			\
 		done;							\
 	done

## gdebi 0.3.8

=== debian/changelog ===
gdebi (0.3.8) hardy; urgency=low

  * GDebi/GDebiKDE.py:
    Fix installation of .deb packages with spaces in the filename;
    Patch from Adam Spain (LP: #152856)

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 19 Apr 2008 19:26:08 +0200

gdebi (0.3.7) hardy; urgency=low

  [ Michael Vogt ]
  * po/cs.po:
    - updated (thanks to Kamil Páral)

  [ Harald Sitter ]
  * debian/gdebi-kde.links:
    - Make gdebi-kde available in KDE 4 (LP: #17721)
  * data/gdebi-kde.desktop.in:
    - Set the initial preference for gdebi-kde

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Apr 2008 16:18:18 +0200

gdebi (0.3.6) hardy; urgency=low

  * GDebi/GDebiCommon.py:
    - init self.install, self.remove with the correct type 
      (LP: #173249)
  * debian/control:
    - updated standards version to 3.7.3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Mar 2008 21:31:54 +0100

gdebi (0.3.5) hardy; urgency=low

  [ Michael Vogt ]
  * GDebi/DebPackage.py:
    - support lzma packages
  * gdebi-gtk:
    - run gtk.init_check()
  * GDebi/DebPackage.py:
    - properly support Replaces (LP: #146398)

  [ Daniel Hahler ]
  * properly handle packages that conflict with their own provides.
    Fixes LP: #141126.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Mar 2008 15:39:11 +0100

gdebi (0.3.3) unstable; urgency=high

  * NMU of 0.3.2 from bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/.
    Last Debian upload was 0.2.5~pre1, which like this package was just an
    upload to Debian of the Ubuntu version.
  * debian/rules clean deletes some otherwise leftover files:
     build GDebi/Version.py po/mo.
  * Undo changes to Maintainer (wiki.ubuntu.com/DebianMaintainerField)
  * Cut-and-paste 0.2.5~pre1 changelog entry into right place.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 07 Nov 2007 22:31:39 +0000

gdebi (0.2.5~pre1) experimental; urgency=low

  * Merge changes up to gdebi 0.2.4ubuntu1.
    - Introduce in Debian the package split, gdebi-core for CLI and 
      gdebi for GUI.
  * Ack NMU, thanks Thomas.

 -- Gustavo Franco <stratus@debian.org>  Mon, 23 Apr 2007 03:12:47 -0300

gdebi (0.2.4debian1) unstable; urgency=low

  * updated to new upstream version

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Apr 2007 21:18:44 +0200

debi (0.1.6debian1) unstable; urgency=low

  * Non-maintainer upload.
  * Update program translations:
    - Swedish (Closes: #364418)
    - French (Closes: #364992)
    - Czech (Closes: #366251)

 -- Thomas Huriaux <thomas.huriaux@gmail.com>  Sat, 27 Jan 2007 15:22:50 +0100

debi (0.1.6) unstable; urgency=low

  * New Python Policy release. (Closes: #380810)
    - Bump up Standards-Version to 3.7.2
    - Move debhelper and python-all-dev to Build-Depends field
    - Add python-support to Build-Depends-Indep field
      [debian/control]
    - debian/rules: Add dh_pysupport call before dh_python
    - Add debian/pycompat and debian/pyversions
  * Merge 0.1.6ubuntu1 changes.
  * updated to new upstream version

 -- Gustavo Franco <stratus@debian.org>  Tue, 22 Aug 2006 15:52:22 -0300
  

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gdebi
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@ubuntu.com>
-XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
+Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 5.0.38), python-dev, python-central (>= 0.5.6), intltool, python-kde3-dev (>= 3.16.0-0ubuntu11)
 XS-Python-Version: current
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/
 
 Package: gdebi-core
@@ -24,7 +23,7 @@
 
 Package: gdebi
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${Source-Version}), python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-vte (>= 1:0.11.15-4), gksu (>= 2.0.0-1ubuntu3), gnome-icon-theme (>= 2.14.0-1)
+Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${binary:Version}), python-gtk2 (>= 2.6.3-2), python-glade2 (>= 2.6.3-2), python-vte (>= 1:0.11.15-4), gksu (>= 2.0.0-1ubuntu3), gnome-icon-theme (>= 2.14.0-1)
 Recommends: libgnome2-perl
 XB-Python-Version: ${python:Versions}
 Description: Simple tool to install deb files
@@ -36,7 +35,7 @@
 
 Package: gdebi-kde
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${Source-Version}), python-kde3 (>= 3.16.0-0ubuntu11)
+Depends: ${python:Depends}, ${shlibs:Depends}, gdebi-core (= ${binary:Version}), python-kde3 (>= 3.16.0-0ubuntu11)
 XB-Python-Version: ${python:Versions}
 Description: Simple tool to install deb files
  gdebi lets you install local deb packages resolving and installing

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	find . -name "GDebiKDEDialog.py" -exec rm {} \;
 	find . -name "GDebiKDEInstallDialog.py" -exec rm {} \;
 
+	rm -rf build GDebi/Version.py po/mo
 
 	dh_clean

## gdebi 0.3.8netbook1

=== debian/changelog ===
gdebi (0.3.8netbook1) hardy; urgency=low

  * Quiltize
  * Add 10_force_arch.patch, which allows us to install i386 .debs on lpia
    (LP: #262890)

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Sep 2008 16:11:41 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Michael Vogt <mvo@debian.org>
-Build-Depends: debhelper (>= 5.0.38), python-dev, python-central (>= 0.5.6), intltool, python-kde3-dev (>= 3.16.0-0ubuntu11)
+Build-Depends: debhelper (>= 5.0.38), python-dev, python-central (>= 0.5.6), intltool, python-kde3-dev (>= 3.16.0-0ubuntu11), quilt
 XS-Python-Version: current
 Standards-Version: 3.7.3
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
+
+include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -20,7 +22,7 @@
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: $(QUILT_STAMPFN) configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -29,7 +31,7 @@
 
 	touch build-stamp
 
-clean: 
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp

## gdebi 0.3.11debian1+nmu1+lenny1

=== debian/changelog ===
gdebi (0.3.11debian1+nmu1+lenny1) stable; urgency=low

  * GDebi/GDebi.py:
    + Do not pass --always-ask-pass to gksu, this option is not currently
      supported in Debian gksu package (Closes: #493352).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 05 Oct 2009 21:18:37 +0200

gdebi (0.3.11debian1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * GDebi/GDebi.py: Don't use non-existent vte features but
    use a wrapper to proxy dpkg statusfd via a named pipe.
    Closes: #493353.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 04 Oct 2008 16:23:23 +0200

gdebi (0.3.11debian1) unstable; urgency=low

  [ Barry deFreese ]
  * Non-maintainer upload.
  * New upstream from Ubuntu. (Closes: #440834, #403335, #469593).
    - Debhelper commands in right order. (Closes: #449495).
  * Add Turkish translation.
  * Remove KDE package for now.

  [ Amaya Rodrigo Sastre ]
  * Make lintian happy:
    - Fix white space in debian/changelog 
    - Bump standards-version, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 22 Jul 2008 11:39:35 +0200

gdebi (0.3.11) intrepid; urgency=low

  * Setup the option parser with a version to enable the --version flag.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Jun 2008 19:00:42 +0200

gdebi (0.3.10) intrepid; urgency=low

  * Cleanup rules.
  * Use binary-indep instead of binary-arch; thanks lintian.
  * Call dh_* with -i in binary-indep.
  * Drop dh_shlibdeps and ${shlib:Depends}.
  * Use ${source:Version} instead of ${binary:Version}.
  * Wrap Uploaders, build-deps and deps.
  * Add ${misc:Depends}.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Jun 2008 18:22:13 +0200

gdebi (0.3.9) intrepid; urgency=low

  * Add parsing of -o, --option in the CLI to pass arbitrary APT configuration
    options.
  * Add trailing \n to the "Unkown package type" string.
  * Fix typo (s/Unkown/Unkown).

 -- Loic Minier <lool@dooz.org>  Fri, 27 Jun 2008 18:11:42 +0200

gdebi (0.3.5debian1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490463.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:56:23 +0000 

gdebi (0.3.5debian1) unstable; urgency=low

  * new release
  * remaining diff against ubuntu:
    - do not use --always-ask when running gksu
    - Vcs-Bzr location

 -- Michael Vogt <mvo@debian.org>  Mon, 03 Mar 2008 15:45:48 +0100 

=== debian/control ===
Source: gdebi
Section: admin
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>,
           Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 5.0.38),
               python-dev,
               python-central (>= 0.5.6),
               intltool,
               python-kde3-dev (>= 3.16.0-0ubuntu11)
XS-Python-Version: current
Standards-Version: 3.8.0
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/

Package: gdebi-core
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-apt (>= 0.7.0)
Replaces: gdebi (<< 0.2ubuntu3)
Conflicts: gdebi (<< 0.2ubuntu3)
XB-Python-Version: ${python:Versions}
Description: Simple tool to install deb files
 gdebi lets you install local deb packages resolving and installing 
 its dependencies. apt does the same, but only for remote (http, ftp)
 located packages.
 .
 This package contains the libraries and command-line utility.

Package: gdebi
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         gdebi-core (= ${source:Version}),
         python-gtk2 (>= 2.6.3-2),
         python-glade2 (>= 2.6.3-2),
         python-vte (>= 1:0.11.15-4),
         gksu (>= 2.0.0-1ubuntu3),
         gnome-icon-theme (>= 2.14.0-1)
Recommends: libgnome2-perl
XB-Python-Version: ${python:Versions}
Description: Simple tool to install deb files
 gdebi lets you install local deb packages resolving and installing 
 its dependencies. apt does the same, but only for remote (http, ftp)
 located packages.
 .
 This package contains the graphical user interface.

#Package: gdebi-kde
#Architecture: all
#Depends: ${python:Depends},
#         ${misc:Depends},
#         gdebi-core (= ${source:Version}),
#         python-kde3 (>= 3.16.0-0ubuntu11)
#XB-Python-Version: ${python:Versions}
#Description: Simple tool to install deb files
# gdebi lets you install local deb packages resolving and installing 
# its dependencies. apt does the same, but only for remote (http, ftp)
# located packages.
# .
# This package contains the KDE user interface.

=== debian/rules ===
#!/usr/bin/make -f

PKG := gdebi
DEBVER := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
DEB_BUILD_PROG := debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

build: build-stamp

build-stamp:
	dh_testdir
	python ./setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	python ./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;
	find . -name "GDebiKDEDialog.py" -exec rm {} \;
	find . -name "GDebiKDEInstallDialog.py" -exec rm {} \;
	rm -rf build GDebi/Version.py po/mo
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmime -i
	dh_desktop -i
	dh_installman -i
	# We split the GDebi python module across the packages:
	set -e; cd debian/tmp; for s in usr/lib/python*; do		\
		d=../gdebi-core/$$s; p=site-packages/GDebi;		\
#		k=../gdebi-kde/$$s;                                     \
		g=../gdebi/$$s;						\
#		mkdir -p $$d/$$p $$g/$$p $$k/$$p;			\
		mkdir -p $$d/$$p $$g/$$p;				\
		cp $$s/$$p/* $$d/$$p/.;					\
		# gtk                                                   \
		for f in SimpleGladeApp GDebi; do			\
			mv $$d/$$p/$$f.* $$g/$$p/.;			\
		done;							\
#		# kde                                                   \
#		for f in GDebiKDEDialog GDebiKDE                  \
#                         GDebiKDEInstallDialog KDEAptDialogs; do	\
#			mv $$d/$$p/$$f.* $$k/$$p/.;			\
#		done;							\
	done
	dh_install -i -Xsite-packages/GDebi --list-missing
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	find debian/gdebi debian/gdebi-core -type d -print0 | xargs -0 \
		rmdir -p --ignore-fail-on-non-empty --
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gdebi 0.3.13

=== debian/changelog ===
gdebi (0.3.13) intrepid; urgency=low

  [ Jonathan Riddell ]
  * GDebi/GDebiKDE.py
    - Port to KDE 4
  
  [ Michael Vogt ]
  * GDebi/GDebi.py:
    - if the terminal has no updates for a long time, expand 
      it (assuming some sort of prompting is going on, LP: #252632)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 16:28:53 +0200

gdebi (0.3.12) intrepid; urgency=low

  * GDebi/GDebi.py:
    - fix utf-8 disply (LP: #109907)
    - do not crash if the file disappeared in --non-interactive
      mode (LP: #213725)
    - fix incorrect statusline when cache can not be locked 
      (LP: #212105)
  * GDebi/DebPackage.py:
    - do not crash when the filelist can not be read because of
      gvfs strangeness (LP: #211822)
  * gdebi-gtk:
    - do not crash when DISPLAY is not accessable (LP: #204543)
  * data/gdebi.desktop.in:
    - add "Startup-Notify=true" (LP: #120920)
  * merge debian fixes (thanks to Amaya Rodrigo Sastre and  
    Barry deFreese)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Jul 2008 17:39:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 	find . -name "*.so" -exec rm {} \;
 	find . -name "*.o" -exec rm {} \;
 	find . -name "*.pyc" -exec rm {} \;
-	find . -name "GDebiKDEDialog.py" -exec rm {} \;
-	find . -name "GDebiKDEInstallDialog.py" -exec rm {} \;
 	rm -rf build GDebi/Version.py po/mo
 	dh_clean
 
@@ -43,20 +41,18 @@
 	# We split the GDebi python module across the packages:
 	set -e; cd debian/tmp; for s in usr/lib/python*; do		\
 		d=../gdebi-core/$$s; p=site-packages/GDebi;		\
-#		k=../gdebi-kde/$$s;                                     \
+		k=../gdebi-kde/$$s;                                     \
 		g=../gdebi/$$s;						\
-#		mkdir -p $$d/$$p $$g/$$p $$k/$$p;			\
-		mkdir -p $$d/$$p $$g/$$p;				\
+		mkdir -p $$d/$$p $$g/$$p $$k/$$p;			\
 		cp $$s/$$p/* $$d/$$p/.;					\
 		# gtk                                                   \
 		for f in SimpleGladeApp GDebi; do			\
 			mv $$d/$$p/$$f.* $$g/$$p/.;			\
 		done;							\
-#		# kde                                                   \
-#		for f in GDebiKDEDialog GDebiKDE                  \
-#                         GDebiKDEInstallDialog KDEAptDialogs; do	\
-#			mv $$d/$$p/$$f.* $$k/$$p/.;			\
-#		done;							\
+		# kde                                                   \
+		for f in GDebiKDE KDEAptDialogs; do	                \
+			mv $$d/$$p/$$f.* $$k/$$p/.;			\
+		done;							\
 	done
 	dh_install -i -Xsite-packages/GDebi --list-missing
 	dh_link -i

## gdebi 0.4.9

=== debian/changelog ===
gdebi (0.4.9) jaunty; urgency=low

  * GDebi/DebPackages.py, GDebi/Cache.py:
    - when checking if a dependency is satified ensure to test
      for all provides (not just pure virtual ones) (LP: #353088)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Apr 2009 15:25:06 +0200

gdebi (0.4.8) jaunty; urgency=low

  * GDebi/GDebi.py:
    - fix crash on reload with no package selected
      (LP: #350755)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 10:59:02 +0200

gdebi (0.4.7) jaunty; urgency=low

  * GDebi/GDebi.py:
    - when the install is finished and the user clicks on 
      the auto-close button (thanks Nyitrai István)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Mar 2009 14:01:36 +0100

gdebi (0.4.6) jaunty; urgency=low

  * GDebi/GDebi.py:
    - only call gtk.main_quit() if there is a main loop 
      running (LP: #333702)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Mar 2009 10:46:51 +0100

gdebi (0.4.5) jaunty; urgency=low

  [ István Nyitrai ]
  * fix gettext issue with gdebi-kde (LP: #337786)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 16:42:17 +0100

gdebi (0.4.4) jaunty; urgency=low

  [ István Nyitrai ]
  * fix problem with installing utf-8 filenames with gdebi-kde
    (LP: #190907)
  * auto-close checkbutton (LP: #57812)
  
  [ Michael Vogt ]
  * updated for the new "setup.py --install-layout=deb" and
    dist-packages requirement

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 13:49:46 +0100

gdebi (0.4.3) jaunty; urgency=low

  [ István Nyitrai ]
  * fix potential crash in kde frontend i18n
    messages  (LP: #316116)
  
  [ Gabor  Kelemen ]
  * i18n fixes (LP: #332744)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Feb 2009 21:10:01 +0100

gdebi (0.4.2) jaunty; urgency=low

  [ István Nyitrai ]
  * GDebi/GDebiCommon.py:
    - show a more meaningful error message when users
      try to open a non debian package (LP: #289308)
  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Feb 2009 11:00:20 +0100

gdebi (0.4.1) jaunty; urgency=low

  [ Michael Vogt ]
  * GDebi/DebPackage.py:
    - add explaination for translators (LP: #326944)
    - fix typo
  * refresh po/pot (LP: #30008)
  
  [ István Nyitrai ]
  * GDebi/GDebiCommon.py:
    - improve description for broken deps (LP: #204240)
  * update copyright (LP: #320529)
  * GDebi/GDebiCli.py:
    - fix whitespace in filename problem (LP: #178171)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Feb 2009 09:38:11 +0100

gdebi (0.4.0) jaunty; urgency=low

  [ Michael Vogt ]
  * i18n fixes (LP: #313890), thanks to Gabor Kelemen
  * merged da.po translation update (thanks to Joe Dalton)
  * GDebi/DebPackage.py:
    - better error string for versionized dependencies (LP: #160218)
    - do not crash on packages with no architecture field but show
      a error instead (LP: #261266)
    - fix improper checking for reverse conflicts/strict dependencies
      (LP: #312022)
  * GDebi/GDebi.py:
    - fix filelist display for debs with utf-8 chars (LP: #257597)
    - add refresh action (LP: #156214)
    - tell the user what is being installed
  * data/gdebi.glade:
    - make the status text selectable (LP: #50212)
    - Open is now "Open..." (LP:# 90010)
  * unify the utf8 methods and deal properly with non-utf8 input
    (fixes crash in gdebi-kde, LP: #149893)

  [ Harald Sitter ]
  * Fix gdebi-kde icon (application-x-deb)
  * Change install path of gdebi-kde desktop file to applications/kde4

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Jan 2009 08:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Build-Depends: debhelper (>= 5.0.38),
                python-dev,
                python-central (>= 0.5.6),
-               intltool,
-               python-kde3-dev (>= 3.16.0-0ubuntu11)
+               intltool
 XS-Python-Version: current
 Standards-Version: 3.8.0
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/
@@ -47,16 +46,17 @@
  .
  This package contains the graphical user interface.
 
-#Package: gdebi-kde
-#Architecture: all
-#Depends: ${python:Depends},
-#         ${misc:Depends},
-#         gdebi-core (= ${source:Version}),
-#         python-kde3 (>= 3.16.0-0ubuntu11)
-#XB-Python-Version: ${python:Versions}
-#Description: Simple tool to install deb files
-# gdebi lets you install local deb packages resolving and installing 
-# its dependencies. apt does the same, but only for remote (http, ftp)
-# located packages.
-# .
-# This package contains the KDE user interface.
+Package: gdebi-kde
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         gdebi-core (= ${source:Version}),
+         python-kde4 (>= 3.16.0-0ubuntu11),
+	 kdesudo
+XB-Python-Version: ${python:Versions}
+Description: Simple tool to install deb files
+ gdebi lets you install local deb packages resolving and installing 
+ its dependencies. apt does the same, but only for remote (http, ftp)
+ located packages.
+ .
+ This package contains the KDE user interface.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
+	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --install-layout=deb
 
 binary-indep: build install
 	dh_testdir
@@ -40,11 +40,13 @@
 	dh_installman -i
 	# We split the GDebi python module across the packages:
 	set -e; cd debian/tmp; for s in usr/lib/python*; do		\
-		d=../gdebi-core/$$s; p=site-packages/GDebi;		\
+		d=../gdebi-core/$$s; p=dist-packages/GDebi;		\
 		k=../gdebi-kde/$$s;                                     \
 		g=../gdebi/$$s;						\
 		mkdir -p $$d/$$p $$g/$$p $$k/$$p;			\
+		echo mkdir -p $$d/$$p $$g/$$p $$k/$$p;			\
 		cp $$s/$$p/* $$d/$$p/.;					\
+		echo cp $$s/$$p/* $$d/$$p/.;					\
 		# gtk                                                   \
 		for f in SimpleGladeApp GDebi; do			\
 			mv $$d/$$p/$$f.* $$g/$$p/.;			\
@@ -54,7 +56,7 @@
 			mv $$d/$$p/$$f.* $$k/$$p/.;			\
 		done;							\
 	done
-	dh_install -i -Xsite-packages/GDebi --list-missing
+	dh_install -i -Xdist-packages/GDebi --list-missing
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
